List Tasks
GET
Lists Tasks for a Business, a Room or the whole Workspace. Read-only.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
business_id?stringMatch
^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$room_id?stringMatch
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$goal_id?stringMatch
^gol_[0-7][0-9A-HJKMNP-TV-Z]{25}$assignee_user_id?stringMatch
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$status?stringopen: not done or archived.
Value in
"recommended""not_started""in_progress""done""archived""open"sort?stringdue: soonest, none last. updated: newest.
Value in
"created""due""updated"query?stringTitle contains this text.
Length
1 <= length <= 200due_from?stringDue on or after (ISO 8601).
Match
^\d{4}-\d{2}-\d{2}([T ][0-9:.]+(Z|[+-]\d{2}:?\d{2})?)?$due_to?stringDue before (ISO 8601).
Match
^\d{4}-\d{2}-\d{2}([T ][0-9:.]+(Z|[+-]\d{2}:?\d{2})?)?$total?booleanAdd a count (null if too many).
after?stringlimit?integerRange
1 <= value <= 100Default
20SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*array<>has_more*smb_v0_operations_create_list_request.__local.properties.body.__schema16next_cursor*string|nulltotal?|Range
0 <= valuerequest_id*stringcurl -X GET 'https://example.com/v1/tasks' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": [ { "task_id": "string", "business_id": "string", "room_id": "string", "goal_id": "string", "upload_folder_id": "string", "title": "string", "description": "string", "status": "recommended", "created_by": { "type": "user", "id": "string" }, "why": "string", "source": { "type": "user", "id": "string" }, "assignee_user_id": "string", "assignee_email": "user@example.com", "assignee_rule": "link_opener", "due_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "done_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "archive_reason": "string", "done_with": [ null ], "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string", "total": 0, "request_id": "string"}